--【导例4.17】根据考试分数换算为[优良中及不及格]等级成绩(方法二)。
declare @分数 decimal
declare @成绩级别 nchar(3)
set @分数 = 88
set @成绩级别 = 
case floor(@分数/10)
  when 10 then '优秀'
  when 9 then '优秀'
  when 8 then '良好'
  when 7 then '中等'
  when 6 then '及格'
  else '不及格'
end
print @成绩级别
